[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'Unix' (#rtl)

# GetTimezoneFile

Return name of timezone information file

## Declaration

Source position: unix.pp line 73

`function GetTimezoneFile: string;`

## Description

GetTimezoneFile returns the location of the current timezone file. The location of file is determined as follows:

1. If /etc/timezone exists, it is read, and the contents of this file is returned. This should work on Debian systems.
2. If /usr/lib/zoneinfo/localtime exists, then it is returned. (this file is a symlink to the timezone file on SuSE systems)
3. If /etc/localtime exists, then it is returned. (this file is a symlink to the timezone file on RedHat systems)

## Errors

If no file was found, an empty string is returned.

## See also

ReadTimezoneFile |  | Read the timezone file and initialize time routines

Documentation generated on: Feb 26 2014